import { IArguments } from '../vm/arguments';
import { DOMChanges } from '../dom/helper';
import { DynamicScope } from '../environment';
import { Destroyable } from '@glimmer/util';
import { Option } from "@glimmer/interfaces";
export interface ModifierManager<T> {
    create(element: Element, args: IArguments, dynamicScope: DynamicScope, dom: DOMChanges): T;
    install(modifier: T): void;
    update(modifier: T): void;
    getDestructor(modifier: T): Option<Destroyable>;
}
