import { CompilationMeta } from '@glimmer/interfaces';
import * as WireFormat from '@glimmer/wire-format';
import Environment from './environment';
import { Block, Program } from './syntax/interfaces';
export declare type DeserializedStatement = WireFormat.Statement | WireFormat.Statements.Attribute | WireFormat.Statements.Argument;
export default class Scanner {
    private block;
    private env;
    constructor(block: WireFormat.SerializedTemplateBlock, env: Environment);
    scanEntryPoint(meta: CompilationMeta): Program;
    scanBlock(meta: CompilationMeta): Block;
    scanLayout(meta: CompilationMeta, attrs: WireFormat.Statements.Attribute[], componentName?: string): Program;
}
